/* 
 * Eneso GTK+ Decoration Library
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __EDECOR_H__
#define __EDECOR_H__

#include <gtk/gtk.h>
#include <cairo.h>

#include "edecor_draw.h"

void
edecor_init				(gchar* image_dir);
void
edecor_terminate		(void);
void
edecor_decorate_window	(GtkWidget* window, GtkWidget* vbox);

void
edecor_draw_window_title_bar	(cairo_t* cr, gint width, gint height, gboolean active);
void
edecor_draw_window_background	(cairo_t* cr, gint x, gint y, gint width, gint height);

#endif /* __EDECOR_H__ */
